# Created by pyp2rpm-3.1.3
%global pypi_name discover

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        1%{?dist}
Summary:        Test discovery for unittest. Backported from Python 2.7 for Python 2.4+

License:        UNKNOWN
URL:            http://pypi.python.org/pypi/discover/
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel

%description
This is the test discovery mechanism and load_tests protocol for unittest
backported from Python 2.7 to work with Python 2.4 or more recent (including
Python 3)... note:: Test discovery is just part of what is new in unittest in
Python 2.7. All of the new features have been backported to run on Python
2.42.6, including test discovery. This is the unittest2 package < can be
installed with pip ...

%package -n     python2-%{pypi_name}
Summary:        Test discovery for unittest. Backported from Python 2.7 for Python 2.4+
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-setuptools
%description -n python2-%{pypi_name}
This is the test discovery mechanism and load_tests protocol for unittest
backported from Python 2.7 to work with Python 2.4 or more recent (including
Python 3)... note:: Test discovery is just part of what is new in unittest in
Python 2.7. All of the new features have been backported to run on Python
2.42.6, including test discovery. This is the unittest2 package < can be
installed with pip ...


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build

%install
%py2_install
cp %{buildroot}/%{_bindir}/discover %{buildroot}/%{_bindir}/discover-2
ln -sf %{_bindir}/discover-2 %{buildroot}/%{_bindir}/discover-%{python2_version}


%files -n python2-%{pypi_name}
%doc README.txt
%{_bindir}/discover
%{_bindir}/discover-2
%{_bindir}/discover-%{python2_version}

%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Jan 16 2017 root - 0.4.0-1
- Initial package.